function F1=tranf(D,di,dd,emp,D_X,dc)
% compute the edge feature function 
% output the edge feature function matrixes for edges

D_X2=D_X+D_X';
D_X2(D_X2>1)=1;
    D=1./D.^di;  
    [nemp nnodes]=size(emp);
    E=emp(1:(nemp-1),:);
    [m n]=size(D);
    
	e=1;
	for i=1:nnodes
		for j=(i+1):nnodes
            if(D_X2(i,j))
              E1=E(:,i)*ones(1,n);
              E2=ones(n,1)*E(:,j)';
              D_1=(E1+E2).*max(D*D_X(i,j),D'*D_X(j,i))/2;
              D1=1./(dd*ones(1,size(D_1,1)));D2=1/(dc);
              D0=[D_1 D1';D1 D2];
              F1{e}=D0;
              e=e+1;
            end
        end
    end


